# Uses of Interface
com.databricks.jdbc.api.impl.batch.BatchCommand

Packages that use BatchCommand
Package
Description
com.databricks.jdbc.api.impl.batch

## Uses of BatchCommand in com.databricks.jdbc.api.impl.batch

Classes in com.databricks.jdbc.api.impl.batch that implement BatchCommand
Modifier and Type
Class
Description
`final class`
`ImmutableBatchCommand`
Immutable implementation of `BatchCommand`.
Methods in com.databricks.jdbc.api.impl.batch with parameters of type BatchCommand
Modifier and Type
Method
Description
`static ImmutableBatchCommand`
ImmutableBatchCommand.`copyOf(BatchCommand instance)`
Creates an immutable copy of a `BatchCommand` value.
`final ImmutableBatchCommand.Builder`
ImmutableBatchCommand.Builder.`from(BatchCommand instance)`
Fill a builder with attribute values from the provided `BatchCommand` instance.